<?php
/**************************************************
  Coppermine Plugin - Sort by EXIF
  *************************************************
  Copyright (c) 2017 Ludger Hellerhoff
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
***************************************************/


function load_exif($picture) {
    if (!function_exists('exif_read_data')) require_once "./include/exif.php";
	global $CONFIG;
	$isexif = 0;
	$datum = date('Y-m-d H:i:s:', filemtime($CONFIG['fullpath'].$picture['filepath'].$picture['filename']));
	$result = cpg_db_query("update {$CONFIG['TABLE_PICTURES']} set sbe_exif_date='{$datum}', sbe_source_is_exif=4 where pid = {$picture['pid']}");
	if (function_exists('exif_read_data')) {
		$exifdata = exif_read_data($CONFIG['fullpath'].$picture['filepath'].$picture['filename']);
		if (isset($exifdata['DateTimeOriginal'])) {
			$datum = $exifdata['DateTimeOriginal'];
			$isexif = 1;
		} 
	} else {
		$exifdata = read_exif_data_raw($CONFIG['fullpath'].$picture['filepath'].$picture['filename'],1); 
		if (isset ($exifdata['IFD0']['DateTime'])) {
			$datum = $exifdata['IFD0']['DateTime']; 
			$isexif = 3;
		}
	};
	$result = cpg_db_query("update {$CONFIG['TABLE_PICTURES']} set sbe_exif_date='{$datum}', sbe_source_is_exif='{$isexif}' where pid = {$picture['pid']}");
	return $result;
};

?>